Szerezze be a konfigurációt
GET
/api/v1/organizations/telephony-configs/{config_id}cURL példa
curl -X GET \
'https://app.intracord.hu/api/v1/organizations/telephony-configs/{config_id}' \
-H "X-API-Key: $INTRACORD_API_KEY"Paraméterek
| Név | Hely | Típus | Leírás |
|---|---|---|---|
config_idkötelező | path | integer | — |
authorization | header | object | — |
X-API-Key | header | object | — |
Válaszok
200Successful Responseapplication/jsonSéma megtekintése
{
"properties": {
"id": {
"type": "integer",
"title": "Id"
},
"name": {
"type": "string",
"title": "Name"
},
"provider": {
"type": "string",
"title": "Provider"
},
"connectivity": {
"type": "string",
"enum": [
"api",
"sip"
],
"title": "Connectivity",
"default": "api"
},
"is_default_outbound": {
"type": "boolean",
"title": "Is Default Outbound"
},
"inactive": {
"type": "boolean",
"title": "Inactive",
"default": false
},
"inactive_since": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Inactive Since"
},
"inactive_reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Inactive Reason"
},
"credentials": {
"additionalProperties": true,
"type": "object",
"title": "Credentials"
},
"sip_connectivity": {
"anyOf": [
{
"$ref": "#/components/schemas/SIPConnectivityDetails"
},
{
"type": "null"
}
]
},
"setup_checklist": {
"anyOf": [
{
"$ref": "#/components/schemas/ProviderSetupChecklist"
},
{
"type": "null"
}
]
},
"supports_trunks": {
"type": "boolean",
"title": "Supports Trunks",
"default": false
},
"trunks": {
"items": {
"$ref": "#/components/schemas/TrunkResponse"
},
"type": "array",
"title": "Trunks"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"updated_at": {
"type": "string",
"format": "date-time",
"title": "Updated At"
}
},
"type": "object",
"required": [
"id",
"name",
"provider",
"is_default_outbound",
"credentials",
"created_at",
"updated_at"
],
"title": "TelephonyConfigurationDetail",
"description": "Body of ``GET /telephony-configs/{id}`` — credentials are masked."
}404Not found422Validation Errorapplication/jsonSéma megtekintése
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}